Subject: Re: [PATCH v5 bpf 1/2] xdp: introduce xdp_convert_skb_to_buff()

From: Jakub Kicinski <[email-masked]>
Date: Fri, 31 Oct 2025 11:49:52 -0700

On Fri, 31 Oct 2025 12:37:37 +0100 Maciej Fijalkowski wrote:
> > > would be fine for you? Plus AI reviewer has kicked me in the nuts on veth
> > > patch so have to send v6 anyways.  
> > 
> > The veth side unfortunately needs more work than Mr Robot points out.
> > For some reason veth tries to turn skb into an xdp_frame..  
> 
> That is beyond the scope of the fix that I started doing as you're
> undermining overall XDP support in veth, IMHO.
> 
> I can follow up on this on some undefined future but right now I will
> have to switch to some other work.
> 
> If you disagree and insist on addressing skb->xdp_frame in veth within
> this patchset then I'm sorry but I will have to postpone my activities
> here.

Yeah, I understand. A lot of the skb<>XDP integration is a steaming
pile IMO, as mentioned elsewhere. I'd like to keep the core clean
tho, so if there's some corner cases in veth after your changes
I'll live. But I'm worried that the bugs in veth will make you
want to preserve the conditional in xdp_convert_skb_to_buff() :(